For this modle you need the EWF01.